Loading...
Searching...
No Matches
ildl.hh File Reference

Incomplete LDL decomposition. More...

`#include <sstream>`
`#include <dune/common/scalarvectorview.hh>`
`#include <dune/common/scalarmatrixview.hh>`
`#include "ilu.hh"`

Go to the source code of this file.

## Namespaces

namespace | Dune

## Functions

template<class K, int m, int n>
static void | Dune::bildl_subtractBCT (const FieldMatrix< K, m, n > &B, const FieldMatrix< K, m, n > &CT, FieldMatrix< K, m, n > &A)
template<class K>
static void | Dune::bildl_subtractBCT (const K &B, const K &CT, K &A, typename std::enable_if_t< Dune::IsNumber< K >::value > *=nullptr)
template<class Matrix>
static void | Dune::bildl_subtractBCT (const Matrix &B, const Matrix &CT, Matrix &A, typename std::enable_if_t<!Dune::IsNumber< Matrix >::value > *=nullptr)
template<class Matrix>
void | Dune::bildl_decompose (Matrix &A)
| compute ILDL decomposition of a symmetric matrix A
template<class Matrix, class X, class Y>
void | Dune::bildl_backsolve (const Matrix &A, X &v, const Y &d, bool isLowerTriangular=false)

## Detailed Description

Incomplete LDL decomposition.

Author
  Martin Nolte